Package twisted :: Package protocols :: Module sux

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.sux

*S*mall, *U*ncomplicated *X*ML.

This is a very simple implementation of XML as a network protocol. It is not at all clever. Its main features are that it does not:

- support namespaces
- mung mnemonic entity references
- validate
- perform *any* external actions (such as fetching URLs or writing files) under *any* circumstances

If you're looking for an XML parser that *does* do any of these things, I strongly recommend the various parsers in PyXML.

TODO:

- real tests (currently we're just hoping Marmalade tests are good enough)
- better error messages

Classes
`XMLParser` |

Exceptions
`ParseError` |

Function Summary
| ``nop`(*args, **kw)` Do nothing.

Variable Summary
`string` | `identChars`
`string` | `lenientIdentChars`

Function Details

### nop(*args, **kw)

Do nothing.

Variable Details

### identChars

  Type:
    `string`
  Value:

        'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.-_:'

### lenientIdentChars

  Type:
    `string`
  Value:

        'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.-_:;+#\
        '

Generated by Epydoc 1.1 on Sat Feb 15 21:18:03 2003 | http://epydoc.sf.net